XHTMLforum

XHTMLforum (http://xhtmlforum.de/index.php)
-   Serveradministration und serverseitige Scripte (http://xhtmlforum.de/forumdisplay.php?f=80)
-   -   PHP Abwärtskompatibilität (http://xhtmlforum.de/showthread.php?t=73758)

laborix 16.02.2019 16:42

PHP Abwärtskompatibilität
 
Hallo miteinander,

ich habe da mal eine Frage, auf die ich so keine Antwort finde. Wie sieht es aus wenn ein x-beliebiges CMS/Blog mit PHP 7.3.1 absolut stabil läuft, läuft es dann auch einem Webserver mit PHP 7.1.x und PHP 7.2.x?

Oder muss/sollte man diese Systeme unter jeder PHP-Version explizit testen? Würde mich freuen wenn da jemand schon Erfahrung damit hätte.

Danke

cloned 18.02.2019 08:18

Man kann in so einem Fall nicht einfach davon ausgehen dass das System dort stabil läuft. Das CMS hat bestimmt eine mindestanforderung an die PHP Version (findet man auf der Website des CMS), ab dieser Version kann davon ausgegangen werden, dass das CMS stabil läuft.

laborix 22.02.2019 19:26

Ein OpenSource Projekt (Blog System) Geburtsjahr 2007, Start mit PHP 4, schwieriger Übergang zu PHP 5 und nach Start von PHP 7.x stand das Ende vor der Tür. Jetzt wurde es von einem neuen Entwickler auf PHP 7.3 portiert.

Unter PHP 7.3 läuft es Online und Lokal stabil, unter PHP 7.2 noch ungetestet und unter PHP 7.1 wirft es Lokal in bestimmten Konstellationen Fehler, auf sicheren Webserver Online nicht. Somit hat sich die Frage erübrigt, es empfiehlt sich alles in vielen möglichen Umgebungen explizit zu testen :)

protonenbeschleuniger 23.02.2019 17:17

kann man nicht anhand der Fehlermeldungen etwas machen?
So gross solten die Unterschiede doch nicht sein. Vielleicht liegt es auch ander Konfiguration der unterschiedlichen Server.

laborix 24.02.2019 17:46

Lokal ist vieles anders, XAMPP und IIS sind per Default nicht abgesichert und je nachdem welche Tests man fährt, kann da durchaus plötzlich was im PHP Error Log auftauchen. Was auch eine Rolle spielt ist der PHP Error Level, bei Entwickler-Level kommen andere Fehler als bei Produktionsbetrieb.

Egal, ich werde alles was mir möglich ist testen :)

protonenbeschleuniger 24.02.2019 19:22

Klar, aber dann liegt es nicht an einem 0.1er Versionssprung bei PHP.


Alle Zeitangaben in WEZ +2. Es ist jetzt 14:48 Uhr.

Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2020, vBulletin Solutions, Inc.

© Dirk H. 2003 - 2019